import * as React from 'react';
import type { IFontIconProps } from './Icon.types';
export interface IIconContent {
    children?: string | JSX.Element;
    iconClassName?: string;
    fontFamily?: string;
    mergeImageProps?: boolean;
}
export declare const getIconContent: (iconName?: string) => IIconContent | null;
/**
 * Fast icon component which only supports font glyphs (not images) and can't be targeted by customizations.
 * To style the icon, use `className` or reference `ms-Icon` in CSS.
 * {@docCategory Icon}
 */
export declare const FontIcon: React.FunctionComponent<IFontIconProps>;
/**
 * Memoized helper for rendering a FontIcon.
 * @param iconName - The name of the icon to use from the icon font.
 * @param className - Class name for styling the icon.
 * @param ariaLabel - Label for the icon for the benefit of screen readers.
 * {@docCategory Icon}
 */
export declare const getFontIcon: (iconName: string, className?: string, ariaLabel?: string) => React.ReactElement<any, any> | null;
